<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Josh Schonstal <schonstal@osuosl.org>                       |
// +------------------------------------------------------------------------+
// $Id: maintain_backend.php 4761 2006-08-21 17:00:07Z wenzel $

/**
  * maintain_backend.php - Runs the backend via the 'backend' cron hook.
  *
  * @author $Author: $
  * @filesource
  * @package    modules
  * @subpackage maintain_backend
  */

require_once(MODDIR.'/core_module.php');
require_once(BACKEND.'/Backend.php');
require_once('PEAR.php');   // for error handling

/**
  * This is the 'Maintain_Backend' module, which runs the Backend() class 
  * via the cron hook.
  *
  * @package    modules
  * @subpackage maintain_nav
  */
class Maintain_Backend extends Core_Module {
/* Overridden Module Methods */
// {{{ _install()
    function _install()
    {
        return true;
    }
// }}}
// {{{ _uninstall()
    function _uninstall()
    {
        return true;
    }
// }}}
//{{{ needsConfigFile()
    function needsConfigFile()
    {
        return true;
    }
//}}}
// {{{ register_hooks() (register methods to Maintain module hooks)

/**
  * Connect this module to the module hooks it should reply to
  *
  * @access public
  * @return void
  */
    function register_hooks()
    {
        Module::add_cron('backend', 'run_backend', 1, 1); //$this->config['time']['freq']);
    }
// }}}

/* This module's methods */
//{{{ run_backend()
    function run_backend($mode)
    { 
        //instantiate
        $backend = new Backend();
        //check for force
        if ($mode['force_update']) $backend->force = true;
        //run services
        $backend->run();
        return;
    }
//}}}
}

?>
